Subject: bug#17474: Making *unspecified* equivalent to (values) would seem convenient

From: Mark H Weaver <[email-masked]>
Date: Sun, 22 Jun 2014 01:25:41 -0400

[email-masked] (Ludovic Courtès) writes:
> I’m not completely convinced it makes sense to “specify” the zero values
> case in this way, but I’d like to hear what others think.

I'm strongly opposed to having core Guile mechanisms automatically
convert between SCM_UNSPECIFIED and zero values, which is part of what
David's patch set does.  I'd be glad to explain the reasons for my
position in a later message, but I don't have time right now.

However, I'm (cautiously) open to the idea of changing (if #f x) and
some other things to return (values) instead of *unspecified*.  I agree
that it would be cleaner, though I worry about backward compatibility
issues.  It would have to be done between major releases.

    Regards,
      Mark